### Name: transfer
### Title: Mass Transfer Calculations
### Aliases: transfer draw.transfer feldspar apc
### Keywords: misc

### ** Examples

  ## Don't show: 
data(thermo)
## End Don't show
  ### these examples can be run using longex("transfer")
  ## Not run: 
##D     ## react potassium feldspar in a closed system
##D     ## after Steinmann et al., 1994 and Helgeson et al., 1969
##D     basis(c("Al+3","H4SiO4","K+","H2O","H+","O2"),c(0,-6,-6,0,0,0))
##D     species(c("k-feldspar","muscovite","pyrophyllite","kaolinite","gibbsite"))
##D     a <- affinity(H4SiO4=c(-6,-2),"K+"=c(-3,8))
##D     diagram(a)
##D     basis("pH",4)
##D     species(1:5,c(-4,rep(-999,4)))
##D     t <- transfer(550,dmode="coupled",plot=c(2,3),devmax=0.2)
##D     # plot the output from transfer
##D     draw.transfer(t)
##D     # reset the plot layout
##D     layout(matrix(1))
##D     # note, the same calculation can be performed using
##D     # feldspar("closed")
##D 
##D     ## react APC2 from Saccharomyces cerevisiae
##D     ## to other proteins in the anaphase-promoting complex
##D     basis(c("CO2","H2O","NH3","H2","H2S"),c(-10,0,-4,-10,-7))
##D     species(c("APC1","APC2","APC5","CDC16","APC10","SWM1"),"YEAST")
##D     a <- affinity(CO2=c(-10,0),H2=c(-10,0))
##D     diagram(a,as.residue=TRUE)
##D     species(1:nrow(species()),-999)
##D     species("APC2_YEAST",0)
##D     t <- transfer(510,ibalance="PBB",plot=c(1,4),dmode="coupled",devmax=0.15)
##D     # this calculation is also available with
##D     # apc("closed")
##D   
## End(Not run)



